Generate a Rookoo AI agent
curl --request POST \
--url https://app.rookoo.ai/api/v2/accounts/{account_id}/rookoo_agents/generate \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.rookoo.ai/api/v2/accounts/{account_id}/rookoo_agents/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v2/accounts/{account_id}/rookoo_agents/generate"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Rookoo Agents
Generate a Rookoo AI agent
POST
/
api
/
v2
/
accounts
/
{account_id}
/
rookoo_agents
/
generate
Generate a Rookoo AI agent
curl --request POST \
--url https://app.rookoo.ai/api/v2/accounts/{account_id}/rookoo_agents/generate \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.rookoo.ai/api/v2/accounts/{account_id}/rookoo_agents/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v2/accounts/{account_id}/rookoo_agents/generate"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
The body is of type object.
Response
200 - application/json
Success
The response is of type object.